apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion

    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"

        ndk {
            abiFilters 'armeabi' //, 'x86', 'armeabi-v7a', 'x86_64', 'arm64-v8a'
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }

    repositories {
        flatDir {
            dirs 'libs'
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    testImplementation 'junit:junit:4.12'
    //noinspection GradleCompatible
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'

    //support包
    api "com.android.support:appcompat-v7:$rootProject.ext.supportLibraryVersion"
    api "com.android.support:support-v4:$rootProject.ext.supportLibraryVersion"
    api "com.android.support:recyclerview-v7:$rootProject.ext.supportLibraryVersion"

    //同盾
    api(name: 'android_shujumohe_sdk_beta_20180907_1.0.8.2', ext: 'aar')
    api 'com.alibaba:fastjson:1.1.58.android'

    //QMUI
    api 'com.qmuiteam:qmui:1.1.3'

    //Eventbus
    api 'org.greenrobot:eventbus:3.0.0'

    //SmartRefresh
    api 'com.scwang.smartrefresh:SmartRefreshLayout:1.1.0-alpha-14'
//    api 'com.scwang.smartrefresh:SmartRefreshHeader:1.1.0-alpha-14'//没有使用特殊Header，可以不加这行

    //Gson
    api 'com.google.code.gson:gson:2.8.2'

    //bugly
    api 'com.tencent.bugly:crashreport:2.6.6.1'
    api 'com.tencent.bugly:nativecrashreport:3.3.1'

    //rxjava
    api 'com.jakewharton.rxbinding2:rxbinding:2.2.0'
    api 'io.reactivex.rxjava2:rxandroid:2.1.0'
    //rxpermissions
    api 'com.github.tbruyelle:rxpermissions:0.10.2'
    //rxLifrCycle
    api 'com.trello.rxlifecycle2:rxlifecycle-components:2.1.0'

    // glide
    api "com.github.bumptech.glide:glide:3.7.0"

    //retrofit
    api 'com.squareup.retrofit2:retrofit:2.4.0'
    api 'com.squareup.retrofit2:converter-gson:2.4.0'
    api 'com.squareup.retrofit2:adapter-rxjava2:2.4.0'

    //firebase core
    api 'com.google.firebase:firebase-core:16.0.3'
    //firebase cloud message
    api 'com.google.firebase:firebase-messaging:17.3.2'
    //firebase remoteConfig
    api 'com.google.firebase:firebase-config:16.0.0'

    //camerakit
    api 'com.wonderkiln:camerakit:0.13.1'

    //facebook accountKit
    api 'com.facebook.android:account-kit-sdk:4.37.0'
    api 'com.google.android.gms:play-services-auth:15.0.1'
    api 'com.google.android.gms:play-services-auth-api-phone:15.0.1'

    //zendesk
    api group: 'com.zendesk', name: 'support', version: '2.1.1'


}
